USE [COWS]
GO
_CreateObject 'SP','dbo','insertFSAOrder'
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

-- =========================================================
-- Author:		sbg9814
-- Create date: 07/11/2011
-- Description:	Inserts the FSA record into the FSA_ORDR table.
-- =========================================================
ALTER PROCEDURE [dbo].[insertFSAOrder]
	@ORDR_ID					Int
	,@ORDR_ACTN_ID				TinyInt
	,@FTN						varchar(20)
	,@ORDR_TYPE_CD				Char(2)
	,@ORDR_SUB_TYPE_CD			Varchar(7)
	,@PROD_TYPE_CD				Char(2)
	,@PRNT_FTN					varchar(20)
	,@RELTD_FTN					varchar(20)
	,@SCA_NBR					Varchar(60)
	,@TSP_CD					Varchar(9)
	,@CPW_TYPE					Varchar(20)
	,@CUST_CMMT_DT				DateTime
	,@CUST_WANT_DT				DateTime
	,@CUST_ORDR_SBMT_DT			DateTime
	,@CUST_SIGNED_DT			DateTime
	,@ORDR_SBMT_DT				DateTime
	,@CUST_PRMS_OCPY_CD			Varchar(1)
	,@CUST_ACPT_ERLY_SRVC_CD    Varchar(1)
	,@MULT_CUST_ORDR_CD			Varchar(1)
	,@GVRMNT_TYPE_ID			Varchar(10)
	,@SOTS_ID					Varchar(25)
	,@CHARS_ID					Varchar(20)
	,@FSA_EXP_TYPE_CD			Char(2)
	
	,@INSTL_ESCL_CD				Varchar(1)
	,@INSTL_DSGN_DOC_NBR		Varchar(20)
	,@INSTL_VNDR_CD				Varchar(50)
	,@INSTL_SOLU_SRVC_DES		Varchar(50)
	,@INSTL_NW_TYPE_CD			Varchar(20)
	,@INSTL_TRNSPRT_TYPE_CD     Varchar(30)
	,@INSTL_SRVC_TIER_CD		TinyInt
	
	,@CPE_CPE_ORDR_TYPE_CD		Varchar(4)
	,@CPE_EQPT_ONLY_CD			Varchar(1)
	,@CPE_ACCS_PRVDR_CD			Varchar(10)
	,@CPE_PHN_NBR				Varchar(20)
	,@CPE_PHN_NBR_TYPE_CD		Varchar(25)
	,@CPE_ECCKT_ID				Varchar(20)
	,@CPE_MSCP_CD				Varchar(20)
	,@CPE_DLVRY_DUTY_ID			Varchar(6)
	,@CPE_DLVRY_DUTY_AMT		Varchar(20)
	,@CPE_SHIP_CHG_AMT			Varchar(20)
	,@CPE_REC_ONLY_CD           Varchar(1) = NULL
	,@TSUP_TELCO_DEMARC_BLDG_NME		Varchar(50)
	,@TSUP_TELCO_DEMARC_FLR_ID			Varchar(50)
	,@TSUP_TELCO_DEMARC_RM_NBR			Varchar(50)
	,@TSUP_NEAREST_CROSS_STREET_NME     Varchar(50)
	,@TSUP_PRS_QOT_NBR					Varchar(50)
	,@TSUP_GCS_NBR						Varchar(50)
	,@TSUP_RFQ_NBR						Varchar(50)
	
	,@TTRPT_ACCS_TYPE_CD				Varchar(4)
	,@TTRPT_ACCS_TYPE_DES				Varchar(255)
	,@TTRPT_ACCS_PRVDR_CD				Varchar(4)
	,@TTRPT_ACCS_ARNGT_CD				Varchar(30)
	,@TTRPT_ACCS_CNTRC_TERM_CD			Varchar(1)
	,@TTRPT_SPD_OF_SRVC_BDWD_DES		Varchar(50)
	,@TTRPT_LINK_PRCOL_CD				Varchar(25)
	,@TTRPT_ENCAP_CD					Varchar(25)
	,@TTRPT_ROUTG_TYPE_CD				Varchar(10)
	,@TTRPT_MPLS_VPN_OVR_SPLK_CD		Varchar(1)
	,@TTRPT_SRVC_TYPE_ID				Varchar(4)
	,@TTRPT_FRMNG_DES					Varchar(50)
	,@TTRPT_NCDE_DES					Varchar(50)
	,@TTRPT_CSU_DSU_PRVDD_BY_VNDR_CD    Varchar(1)
	,@TTRPT_JACK_NRFC_TYPE_CD			Varchar(50)
	,@TTRPT_STRATUM_LVL_CD				Varchar(10)
	,@TTRPT_CLOCK_SRC_CD				Varchar(10)
	,@TTRPT_IS_OCHRONOUS_CD				Varchar(1)
	,@TTRPT_PRLEL_PRCS_TYPE_CD			Varchar(25)
	,@TTRPT_PRLEL_PRCS_CKT_ID			Varchar(10)
	,@TTRPT_RELTD_FCTY_REUSE_CD			Varchar(1)
	,@TTRPT_RELTD_FCTY_CKT_ID			Varchar(50)
	,@TTRPT_TME_SOLT_CNT				SmallInt
	,@TTRPT_STRT_TME_SLOT_NBR			SmallInt
	,@TTRPT_NW_ADR						Varchar(50)
	,@TTRPT_SHRD_TNANT_CD				Varchar(1)
	,@TTRPT_ALT_ACCS_CD					Varchar(1)
	,@TTRPT_ALT_ACCS_PRVDR_CD			Varchar(50)
	,@TTRPT_FBR_HAND_OFF_CD				Varchar(50)
	,@TTRPT_MNGD_DATA_SRVC_CD			Varchar(1)
	,@TTRPT_OSS_CD						Varchar(1)
	,@TTRPT_MPLS_BACKHAUL_CD			Varchar(1)
	,@CXR_ACCS_CD						Varchar(5)
	,@TPORT_IP_VER_TYPE_CD				Varchar(4)
	,@TPORT_IPV4_ADR_PRVDR_CD			Varchar(4)
	,@TPORT_IPV4_ADR_QTY				Varchar(10)
	,@TPORT_IPV6_ADR_PRVDR_CD			Varchar(4)
	,@TPORT_IPV6_ADR_QTY				Varchar(10)
	,@TPORT_USER_TYPE_ID				Varchar(50)
	,@TPORT_MULTI_MEG_CD				Varchar(1)
	,@TPORT_VLAN_QTY					SmallInt
	,@TPORT_ETHRNT_NRFC_INDCR			Varchar(6)
	,@TPORT_SCRMB_TXT					Varchar(50)
	,@TPORT_PORT_TYPE_ID				Varchar(10)
	,@TPORT_CNCTR_TYPE_ID				Varchar(10)
	,@TPORT_CUST_ROUTR_TAG_TXT			Varchar(10)
	,@TPORT_CUST_ROUTR_AUTO_NEGOT_CD    Varchar(3)
	,@TPORT_CUST_PRVDD_IP_ADR_INDCR     Varchar(50)
	,@TPORT_CUST_IP_ADR					Varchar(Max)
	,@TPORT_XST_IP_CNCTN_CD				Varchar(1)
	,@TPORT_CURR_INET_PRVDR_CD			Varchar(50)
	,@TPORT_BRSTBL_PRICE_DISC_CD		Varchar(50)
	,@TPORT_BRSTBL_USAGE_TYPE_CD		Varchar(30)
	,@TPORT_PPLVLS                      Varchar(6)
	,@DISC_REAS_CD						Varchar(30)
	,@DISC_CNCL_BEF_STRT_REAS_CD		Varchar(30)
	,@DISC_CNCL_BEF_STRT_REAS_DETL_TXT  Varchar(100)
	
	,@INTL_PL_SRVC_TYPE_CD				Varchar(4)
	,@INTL_PL_CKT_TYPE_CD				Varchar(4)
	,@INTL_PL_PLUS_IP_CD				Varchar(1)
	,@INTL_PL_CAT_ID					Varchar(3)
	,@OSS_OPT_CD						Varchar(4)
	
	,@MULT_ORDR_INDEX_NBR				Int
	,@MULT_ORDR_TOT_CNT					Int
	,@VNDR_VPN_CD						Varchar(6)
	
	,@ORDR_CHNG_DES						varchar(250)
	,@CXR_SRVC_ID						varchar(50)
	,@CXR_CKT_ID						varchar(50)
	,@FSA_ORGNL_INSTL_ORDR_ID			Varchar(20)
	,@NW_USER_ADR						Varchar(8)
	,@PORT_RT_TYPE_CD					Varchar(6)

	--,@ORANGE_CMNTY_NME					Varchar(50)
	--,@ORANGE_SITE_ID					Varchar(50)
	,@ORANGE_OFFR_CD					Varchar(50)
	,@CUSTOMER_FIREWALL_CD				VARCHAR(1)

	,@CKT_ID							Varchar(10)
	,@VNDO_CNTRC_TERM_ID				Varchar(1)
	,@DMN_NME							Varchar(50)
	,@ADDL_IP_ADR_CD					Varchar(1)
	,@NRFC_PRCOL_CD						Varchar(5)
	,@INSTL_SRVC_TIER_DES				Varchar(50)	=	''
	,@IPV4_SUBNET_MASK_ADR				Varchar(15)	=	NULL
	,@SPAE_ACCS_INDCTR					Varchar(20)	=	NULL
AS
BEGIN
SET NOCOUNT ON;
BEGIN TRY
	--------------------------------------------------------------------
	--	Check	the MDS Service Tier.
	--------------------------------------------------------------------
	IF	ISNULL(@INSTL_SRVC_TIER_CD, 0) = 0	AND	ISNULL(@INSTL_SRVC_TIER_DES, '')	!=	''
		BEGIN
			SELECT		@INSTL_SRVC_TIER_CD	=	MDS_SRVC_TIER_ID
				FROM	dbo.LK_MDS_SRVC_TIER	WITH (NOLOCK)
				WHERE	MDS_SRVC_TIER_DES	=	@INSTL_SRVC_TIER_DES
			
			IF	ISNULL(@INSTL_SRVC_TIER_CD, 0) = 0
				BEGIN
					SELECT		@INSTL_SRVC_TIER_CD	=	Max(MDS_SRVC_TIER_ID) + 1
						FROM	dbo.LK_MDS_SRVC_TIER	WITH (NOLOCK)
												
					INSERT INTO	dbo.LK_MDS_SRVC_TIER	WITH (ROWLOCK)
								(MDS_SRVC_TIER_ID,
								MDS_SRVC_TIER_DES,
								REC_STUS_ID,
								CREAT_BY_USER_ID) 
						VALUES	(@INSTL_SRVC_TIER_CD
								,@INSTL_SRVC_TIER_DES
								,0
								,1)
				END
		END
	--------------------------------------------------------------------
	--	Insert a record into the FSA_ORDR Table.				
	--------------------------------------------------------------------
	INSERT INTO dbo.FSA_ORDR WITH (ROWLOCK)
					(ORDR_ID
					,ORDR_ACTN_ID
					,FTN
					,ORDR_TYPE_CD
					,ORDR_SUB_TYPE_CD
					,PROD_TYPE_CD
					,PRNT_FTN
					,RELTD_FTN
					,SCA_NBR
					,TSP_CD
					,CPW_TYPE
					,CUST_CMMT_DT
					,CUST_WANT_DT
					,CUST_ORDR_SBMT_DT
					,CUST_SIGNED_DT
					,ORDR_SBMT_DT
					,CUST_PRMS_OCPY_CD
					,CUST_ACPT_ERLY_SRVC_CD
					,MULT_CUST_ORDR_CD
					,GVRMNT_TYPE_ID
					,SOTS_ID
					,CHARS_ID
					,FSA_EXP_TYPE_CD					
					,INSTL_ESCL_CD
					,INSTL_DSGN_DOC_NBR
					,INSTL_VNDR_CD
					,INSTL_SOLU_SRVC_DES
					,INSTL_NW_TYPE_CD
					,INSTL_TRNSPRT_TYPE_CD
					,INSTL_SRVC_TIER_CD
					,CPE_CPE_ORDR_TYPE_CD
					,CPE_EQPT_ONLY_CD
					,CPE_ACCS_PRVDR_CD
					,CPE_PHN_NBR
					,CPE_PHN_NBR_TYPE_CD
					,CPE_ECCKT_ID
					,CPE_MSCP_CD
					,CPE_DLVRY_DUTY_ID
					,CPE_DLVRY_DUTY_AMT
					,CPE_SHIP_CHG_AMT
					--,TSUP_SAC_AVLBLTY_HR_TXT
					--,TSUP_SAC_TME_ZONE_CD
					--,TSUP_SAC_INTPRTR_REQ_CD
					--,TSUP_SAC_LANG_SUPPD_CD
					,TSUP_TELCO_DEMARC_BLDG_NME
					,TSUP_TELCO_DEMARC_FLR_ID
					,TSUP_TELCO_DEMARC_RM_NBR
					,TSUP_NEAREST_CROSS_STREET_NME
					,TSUP_PRS_QOT_NBR
					,TSUP_GCS_NBR
					,TSUP_RFQ_NBR
					,TTRPT_ACCS_TYPE_CD
					,TTRPT_ACCS_TYPE_DES
					,TTRPT_ACCS_PRVDR_CD
					,TTRPT_ACCS_ARNGT_CD
					,TTRPT_ACCS_CNTRC_TERM_CD
					,TTRPT_SPD_OF_SRVC_BDWD_DES
					,TTRPT_LINK_PRCOL_CD
					,TTRPT_ENCAP_CD
					,TTRPT_ROUTG_TYPE_CD
					,TTRPT_MPLS_VPN_OVR_SPLK_CD
					,TTRPT_SRVC_TYPE_ID
					,TTRPT_FRMNG_DES
					,TTRPT_NCDE_DES
					,TTRPT_CSU_DSU_PRVDD_BY_VNDR_CD
					,TTRPT_JACK_NRFC_TYPE_CD
					,TTRPT_STRATUM_LVL_CD
					,TTRPT_CLOCK_SRC_CD
					,TTRPT_IS_OCHRONOUS_CD
					,TTRPT_PRLEL_PRCS_TYPE_CD
					,TTRPT_PRLEL_PRCS_CKT_ID
					,TTRPT_RELTD_FCTY_REUSE_CD
					,TTRPT_RELTD_FCTY_CKT_ID
					,TTRPT_TME_SOLT_CNT
					,TTRPT_STRT_TME_SLOT_NBR
					,TTRPT_NW_ADR
					,TTRPT_SHRD_TNANT_CD
					,TTRPT_ALT_ACCS_CD
					,TTRPT_ALT_ACCS_PRVDR_CD
					,TTRPT_FBR_HAND_OFF_CD
					,TTRPT_MNGD_DATA_SRVC_CD
					,TTRPT_OSS_CD
					,TTRPT_MPLS_BACKHAUL_CD
					,CXR_ACCS_CD
					,TPORT_IP_VER_TYPE_CD
					,TPORT_IPV4_ADR_PRVDR_CD
					,TPORT_IPV4_ADR_QTY
					,TPORT_IPV6_ADR_PRVDR_CD
					,TPORT_IPV6_ADR_QTY
					,TPORT_USER_TYPE_ID
					,TPORT_MULTI_MEG_CD
					,TPORT_VLAN_QTY
					,TPORT_ETHRNT_NRFC_INDCR
					,TPORT_SCRMB_TXT
					,TPORT_PORT_TYPE_ID
					,TPORT_CNCTR_TYPE_ID
					,TPORT_CUST_ROUTR_TAG_TXT
					,TPORT_CUST_ROUTR_AUTO_NEGOT_CD
					,TPORT_CUST_PRVDD_IP_ADR_INDCR
					,TPORT_CUST_IP_ADR
					,TPORT_XST_IP_CNCTN_CD
					,TPORT_CURR_INET_PRVDR_CD
					,TPORT_BRSTBL_PRICE_DISC_CD
					,TPORT_BRSTBL_USAGE_TYPE_CD
					,TPORT_PPLVLS_CD
					,DISC_REAS_CD
					,DISC_CNCL_BEF_STRT_REAS_CD
					,DISC_CNCL_BEF_STRT_REAS_DETL_TXT
					,INTL_PL_SRVC_TYPE_CD
					,INTL_PL_CKT_TYPE_CD
					,INTL_PL_PLUS_IP_CD
					,INTL_PL_CAT_ID
					,OSS_OPT_CD
					,MULT_ORDR_INDEX_NBR
					,MULT_ORDR_TOT_CNT
					,VNDR_VPN_CD
					,ORDR_CHNG_DES
					,CXR_SRVC_ID
					,CXR_CKT_ID
					,FSA_ORGNL_INSTL_ORDR_ID
					,NW_USER_ADR
					,PORT_RT_TYPE_CD
					--,ORANGE_CMNTY_NME
					--,ORANGE_SITE_ID
					,ORANGE_OFFR_CD
					,CUST_FRWL_CD
					,CKT_ID
					,VNDO_CNTRC_TERM_ID
					,DOMN_NME
					,ADDL_IP_ADR_CD
					,NRFC_PRCOL_CD
					,IPV4_SUBNET_MASK_ADR
					,SPA_ACCS_INDCR_DES
					,CPE_REC_ONLY_CD
					)
		VALUES		(@ORDR_ID
					,@ORDR_ACTN_ID
					,@FTN
					,Case	@ORDR_TYPE_CD
						When	''	Then	NULL
						Else	@ORDR_TYPE_CD
					End
					,Case	@ORDR_SUB_TYPE_CD
						When	''	Then	NULL
						Else	@ORDR_SUB_TYPE_CD
					End
					,Case	@PROD_TYPE_CD
						When	''	Then	NULL
						Else	@PROD_TYPE_CD
					End
					,Case	@PRNT_FTN
						When	''	Then	NULL
						Else	@PRNT_FTN
					End
					,Case	@RELTD_FTN
						When	''	Then	NULL
						Else	@RELTD_FTN
					End
					,@SCA_NBR
					,@TSP_CD
					,@CPW_TYPE
					,@CUST_CMMT_DT
					,@CUST_WANT_DT
					,@CUST_ORDR_SBMT_DT
					,@CUST_SIGNED_DT
					,@ORDR_SBMT_DT
					,@CUST_PRMS_OCPY_CD
					,@CUST_ACPT_ERLY_SRVC_CD
					,@MULT_CUST_ORDR_CD
					,@GVRMNT_TYPE_ID
					,@SOTS_ID
					,@CHARS_ID
					,@FSA_EXP_TYPE_CD					
					,@INSTL_ESCL_CD
					,@INSTL_DSGN_DOC_NBR
					,@INSTL_VNDR_CD
					,@INSTL_SOLU_SRVC_DES
					,@INSTL_NW_TYPE_CD
					,@INSTL_TRNSPRT_TYPE_CD
					,Case	@INSTL_SRVC_TIER_CD
						When	0	Then	NULL
						Else	@INSTL_SRVC_TIER_CD
					End
					,@CPE_CPE_ORDR_TYPE_CD
					,@CPE_EQPT_ONLY_CD
					,@CPE_ACCS_PRVDR_CD
					,@CPE_PHN_NBR
					,@CPE_PHN_NBR_TYPE_CD					
					,@CPE_ECCKT_ID
					,@CPE_MSCP_CD
					,@CPE_DLVRY_DUTY_ID
					,@CPE_DLVRY_DUTY_AMT
					,@CPE_SHIP_CHG_AMT
					--,@TSUP_SAC_AVLBLTY_HR_TXT
					--,@TSUP_SAC_TME_ZONE_CD
					--,@TSUP_SAC_INTPRTR_REQ_CD
					--,@TSUP_SAC_LANG_SUPPD_CD
					,@TSUP_TELCO_DEMARC_BLDG_NME
					,@TSUP_TELCO_DEMARC_FLR_ID
					,@TSUP_TELCO_DEMARC_RM_NBR
					,@TSUP_NEAREST_CROSS_STREET_NME
					,@TSUP_PRS_QOT_NBR
					,@TSUP_GCS_NBR
					,@TSUP_RFQ_NBR
					,@TTRPT_ACCS_TYPE_CD
					,@TTRPT_ACCS_TYPE_DES
					,@TTRPT_ACCS_PRVDR_CD
					,@TTRPT_ACCS_ARNGT_CD
					,@TTRPT_ACCS_CNTRC_TERM_CD
					,@TTRPT_SPD_OF_SRVC_BDWD_DES
					,@TTRPT_LINK_PRCOL_CD
					,@TTRPT_ENCAP_CD
					,@TTRPT_ROUTG_TYPE_CD
					,@TTRPT_MPLS_VPN_OVR_SPLK_CD
					,@TTRPT_SRVC_TYPE_ID
					,@TTRPT_FRMNG_DES
					,@TTRPT_NCDE_DES
					,@TTRPT_CSU_DSU_PRVDD_BY_VNDR_CD
					,@TTRPT_JACK_NRFC_TYPE_CD
					,@TTRPT_STRATUM_LVL_CD
					,@TTRPT_CLOCK_SRC_CD
					,@TTRPT_IS_OCHRONOUS_CD
					,@TTRPT_PRLEL_PRCS_TYPE_CD
					,@TTRPT_PRLEL_PRCS_CKT_ID
					,@TTRPT_RELTD_FCTY_REUSE_CD
					,@TTRPT_RELTD_FCTY_CKT_ID
					,Case	@TTRPT_TME_SOLT_CNT
						When	0	Then	NULL
						Else	@TTRPT_TME_SOLT_CNT
					End
					,Case	@TTRPT_STRT_TME_SLOT_NBR
						When	0	Then	NULL
						Else	@TTRPT_STRT_TME_SLOT_NBR
					End
					,@TTRPT_NW_ADR
					,@TTRPT_SHRD_TNANT_CD
					,@TTRPT_ALT_ACCS_CD
					,@TTRPT_ALT_ACCS_PRVDR_CD
					,@TTRPT_FBR_HAND_OFF_CD
					,@TTRPT_MNGD_DATA_SRVC_CD
					,@TTRPT_OSS_CD
					,@TTRPT_MPLS_BACKHAUL_CD
					,@CXR_ACCS_CD
					,@TPORT_IP_VER_TYPE_CD
					,@TPORT_IPV4_ADR_PRVDR_CD
					,@TPORT_IPV4_ADR_QTY
					,@TPORT_IPV6_ADR_PRVDR_CD
					,@TPORT_IPV6_ADR_QTY
					,@TPORT_USER_TYPE_ID
					,@TPORT_MULTI_MEG_CD
					,Case	@TPORT_VLAN_QTY
						When	0	Then	NULL
						Else	@TPORT_VLAN_QTY
					End
					,@TPORT_ETHRNT_NRFC_INDCR
					,@TPORT_SCRMB_TXT
					,@TPORT_PORT_TYPE_ID
					,@TPORT_CNCTR_TYPE_ID
					,@TPORT_CUST_ROUTR_TAG_TXT
					,@TPORT_CUST_ROUTR_AUTO_NEGOT_CD
					,@TPORT_CUST_PRVDD_IP_ADR_INDCR
					,@TPORT_CUST_IP_ADR
					,@TPORT_XST_IP_CNCTN_CD
					,@TPORT_CURR_INET_PRVDR_CD
					,@TPORT_BRSTBL_PRICE_DISC_CD
					,@TPORT_BRSTBL_USAGE_TYPE_CD
					,@TPORT_PPLVLS
					,@DISC_REAS_CD
					,@DISC_CNCL_BEF_STRT_REAS_CD
					,@DISC_CNCL_BEF_STRT_REAS_DETL_TXT
					,@INTL_PL_SRVC_TYPE_CD
					,@INTL_PL_CKT_TYPE_CD
					,@INTL_PL_PLUS_IP_CD
					,@INTL_PL_CAT_ID
					,@OSS_OPT_CD
					,@MULT_ORDR_INDEX_NBR
					,@MULT_ORDR_TOT_CNT
					,@VNDR_VPN_CD
					,@ORDR_CHNG_DES
					,@CXR_SRVC_ID
					,@CXR_CKT_ID
					,@FSA_ORGNL_INSTL_ORDR_ID
					,@NW_USER_ADR
					,@PORT_RT_TYPE_CD
					--,@ORANGE_CMNTY_NME
					--,@ORANGE_SITE_ID
					,@ORANGE_OFFR_CD
					,@CUSTOMER_FIREWALL_CD
					,@CKT_ID
					,@VNDO_CNTRC_TERM_ID
					,@DMN_NME
					,@ADDL_IP_ADR_CD
					,@NRFC_PRCOL_CD
					,@IPV4_SUBNET_MASK_ADR
					,@SPAE_ACCS_INDCTR
					,@CPE_REC_ONLY_CD
					)		
					
	--------------------------------------------------------------------
	--	Update the Platform Code on the Order.				
	--------------------------------------------------------------------
	DECLARE		@PLTFRM_CD	Varchar(2)

	IF LTRIM(RTRIM(@PROD_TYPE_CD)) = 'MO' 
		BEGIN
			IF	LTRIM(RTRIM(ISNULL(@VNDR_VPN_CD,'')))	!=	''
				BEGIN
					SET @PLTFRM_CD = 'CP'
				END
			ELSE
				BEGIN
					SET @PLTFRM_CD = 'RS'
				END
		END
	ELSE
		BEGIN
			SELECT		@PLTFRM_CD			=	PLTFRM_CD
				FROM	dbo.PLTFRM_MAPNG	WITH (NOLOCK)
				WHERE	FSA_PROD_TYPE_CD	=	@PROD_TYPE_CD 
		END
										
	IF	@PLTFRM_CD	IS NOT	NULL
		BEGIN
			UPDATE		dbo.ORDR	WITH (ROWLOCK)
				SET		PLTFRM_CD	=	@PLTFRM_CD
				WHERE	ORDR_ID		=	@ORDR_ID
		END		
END TRY
BEGIN CATCH
	EXEC [dbo].[insertErrorInfo]
END CATCH
END
